package com.syaroful.agrilinkvocpro.core.utils

sealed class DownloadState {
    data object Idle : DownloadState()
    data object Starting : DownloadState()
    data object Downloading : DownloadState()
    data object Downloaded : DownloadState()
    data object Installed : DownloadState()
    data class Failed(val message: String) : DownloadState()
    data class DownloadingWithProgress(val progress: Float) : DownloadState()
}